## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicContext

Class DynamicError

Class EmptyEnumerator

Class ExtensionFunctionCall

Class ExtensionFunctionDefinition

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class Serializer

Class StaticContext

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAnyFunctionType

Class XdmAnyItemType

Class XdmAnyNodeType

Class XdmAtomicType

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmItemType

Class XdmNode

Class XdmNodeKind

Class XdmSequenceType

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXdmEnumerator

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Class XmlDestination

    public abstract class XmlDestination

implements object

  An abstract destination for the results of a query or transformation

  Note to implementors: To implement a new kind of destination, you need to supply a method `getResult` which returns an implementation of the JAXP `Result` interface. Optionally, if the destination performs serialization, you can also implement `getOutputProperties`, which returns the properties used for serialization.

Method Summary
`JResult` | `GetResult()` Get a `Result` to which the XML document can be sent as a series of events.
`JProperties` | `GetOutputProperties()` Get a set of `Properties` representing the parameters to the serializer. The default implementation returns an empty set of properties.
`void` | `Close()` Close the Destination, releasing any resources that need to be released.

Method Detail

### GetResult

    public abstract JResult GetResult()

  Get a `Result` to which the XML document can be sent as a series of events.

  This must be an implementation of the JAXP `Result` interface that is recognized by Saxon.

### GetOutputProperties

    public virtual JProperties GetOutputProperties()

  Get a set of `Properties` representing the parameters to the serializer. The default implementation returns an empty set of properties.

### Close

    public virtual void Close()

  Close the Destination, releasing any resources that need to be released.

  This method is called by the system on completion of a query or transformation. Some kinds of Destination may need to close an output stream, others might not need to do anything. The default implementation does nothing.